
#ifndef _prototypes_h_
#define _prototypes_h_

#include "os2.h"

//
// Function   : getFile
// Description: 뢠 㪠 䠩  
// Parameters : name -  뢠 䠩
//              buf  - 㪠⥫  ⠭ 
//              !!! ᮧ  㭪樨  new !!!
// Return     :  訡,  ⠪  ࠭ 뢮
//              ⥬ ᮮ饭  訡 (OSO001.MSG)
//
APIRET getFile(const CHAR *name,
               CHAR *&buf);

//
// Function   : printError
// Description: 뢮 ᮮ饭  ⥬ 訡  ⠭ 뢮
//              ( printf)
// Parameters : name        - ப, ⠢塞 । ⥬
//                            ᮮ饭  NULL, ᫨  㦭
//              code        -  訡
//              msgFileName -  䠩  ᮮ饭ﬨ,  㬮砭 OSO001.MSG
//              table       - ⠡ 
//              cnTable     - - ⮢  ⠡ 
// Return     : ERR_Ok, ᫨   浪,   訡  ᮮ饭
//                 䠩 msgFileName
//
VOID printError(const CHAR *name,
		APIRET code,
		const CHAR *msgFileName = "OSO001.MSG",
                const CHAR **table=NULL,
                const ULONG cnTable=0);

//
// Function   : getString
// Description: 頥 "" ப  饣 
// Parameters : buf     - 室 , 祬  ப
//                          \n / \r,   \0
//                           ஢
//              end     - 㪠⥫   ᨬ ᫥ ப
//              comment - ப  ᨬ,  
//                        砫 
// Algoritm   : - ந 뢠 砫 ஡
//              - ᫨  砫 ப 砥 ᨬ ,
//                ⠪ ப 
//              -  buf  砫  ப
//              - ந  ࢮ ᨬ \n, \r 
//                 ப comment
//              - 㤠  ᨬ   <= ' ' । 
//                殬 ப   ࢮ 饣 ᨬ
//                  ப ᨬ
//              - end - ⠭   ᨬ ᫥
//                  ப
// Return     : ERR_Ok  ERR_StringNotFound
//
APIRET getString(CHAR *&buf,
		 CHAR *&end,
		 const CHAR *comment = ";#");

//
// 뤥    len+1
// ᫨ len  㪠, ⠥,  len = strlen(src)
// ஢ src      饣 
//    delete
//
CHAR * setNewBuf(const CHAR *src,ULONG len = 0);

#endif // _prototypes_h_
