
#ifndef Z_H
#define Z_H

#include <dirent.h>
#include <stdlib.h>
#include <sys/stat.h>
#include <stdio.h>

#define stricmp(s1, s2)	strcasecmp(s1, s2)
#define strnicmp(s1, s2, n)	strncasecmp(s1, s2, n)

#define _MAX_PATH   260 /* max. length of full pathname */
#define _MAX_DIR    256 /* max. length of path component */
#define _MAX_FNAME  256 /* max. length of file name component */
#define _S_IFREG S_IFREG
#define _S_IFLNK S_IFLNK
#define O_BINARY       0x0000  /* file mode is binary (untranslated) */

char *fgets2(char *s, int size, FILE *stream);
int fputs2(const char *s, FILE *stream);

char *strupr( char *__string );
char *strlwr( char *__string );

#endif
