//
// FILter ।祭  ᪠  䠩
//  祭 䠩  䠩 堬
// 饭  (OS/2 & DOS32)
//  ⮫쪮  UTIL.CPP
//
#include "protot.h"
#include <stdio.h>

#ifdef __UNIX__
  char *strupr(char *string)
  {
    return string;
  };

  #include <unistd.h>
#else
  #include <io.h>
#endif

#include <stdlib.h>
#include <string.h>
#include "filter.h"

const CHAR *VERSION = "27/09/1997 #1.0r";

const CHAR *help =
"FILter   %s  2:5050/26 KiSoft 1997\n"
"Usage:\n"
" FILter [-vh?] <filemask.ext> <filedata.ext>\n"
"  options:\n"
"    -v         - output of the messages to the screen\n"
"    -h, -?     - help\n"
"  filemask.ext - filename with templates for search\n"
"  filedata.ext - filename of datas for scanning\n";

CHAR   *text     = NULL;
CHAR   *fileConf = NULL;	//  䠩 䨣樨
CHAR   *fileName = NULL;	//  䠩 
CONFIG *config   = NULL;	// ᮪ 
USHORT verbose   = 0;		// 뢮  ࠭ ᮮ饭

#ifdef __UNIX__
  #define strnicmp strncasecmp
#endif

extern "C" int pmatch(char *pattern,char *string);

//
// ࢨ᭠ 㭪 뢮  ࠭ ப ptr  
// ॢ ப  뢮 ப start..end
//
void error(const CHAR *ptr,const CHAR *start,const CHAR *end)
{
  *text = 0;			// ⪠ 
  strncat(text,start,end-start); // 㥬 ப  
  printf("%s\n%s\n",ptr,text);	// 뢮  ࠭
}

#ifdef DEBUG_ON
  void deb(const CHAR *ptr) {
    printf("%s\n",ptr);
  }
#endif

//
// 뤥  ப ண ⮪
//
CHAR *getSecondToken(CHAR *ptr,CHAR *end)
{
  while(*ptr&&ptr<end&&*ptr>' ') ptr++;		//  ࢮ ஡
  while(*ptr&&ptr<end&&*ptr<=' ') ptr++;	// ய ஡
  if(ptr==end) return NULL;			// ᫨ ப 
  return setNewBuf(ptr,end-ptr);		// 頥  ப
}

//
// ஢ 䨣   ᨢ
// . 頥 0, ᫨ .
//
APIRET procceedConfig(const CHAR *fileName)
{
  APIRET rc;
  CHAR *buf, *start, *end;
  rc = getFile(fileName,buf);		// ⠥ 䠩 䨣樨
  if(rc) return rc;
  BLOCK *block = new BLOCK;		//  
  USHORT flagStart = 0;			//  砫 
  USHORT flagStop = 1;			//  襭 
  start = buf;				// 砫 
  while(getString(start,end)==0) {	// ⠥ ப
    CHAR *ptr = start;			// ࠭塞 砫 ப
    start = end;			// ⮢  ᪠஢ ᫥. ப
    if(!strnicmp(csAREA,		// : Area???
                 ptr,
                 strlen(csAREA))) {
      if(flagStop) {			// ᫨ ⨣  !
        if(!block->area) {		// ᫨ AREA   
          block->area = strupr(getSecondToken(ptr,	// ࠭塞  
                                              end));
          flagStart++;			// ⠭  
          flagStop--;			//   
        }
        else {				//    ன AREA
          error("Syntax: the previous block is not completed",ptr,end);
          rc++;				// 訡
          break;			//  ᪠஢
        }
      }
      else {				//     뫮!
        error("Syntax: AREA is not found or block is not completed",ptr,end);
        rc++;
        break;
      }
      continue;				//   浪, த
    }
    if(flagStart) {			// ᫨ 뫮 砫 
      if(!strnicmp(csMASK,		// : MASK???
                   ptr,
                   strlen(csMASK))) {
        if(!block->mask) {		// ᫨ MASK    
          block->mask = strupr(getSecondToken(ptr,	// ࠭塞 
                                              end));
        }
        else {				// MASK ன ࠧ   
          error("Syntax: second MASK is found without AREA",ptr,end);
          rc++;
          break;
        }
        continue;			//   浪, த
      }
      if(!strnicmp(csCOMMAND,		// : COMMAND???
                   ptr,
                   strlen(csCOMMAND))) {
        block->comm = getSecondToken(ptr, // ࠭塞 
                                     end);
        flagStop++;			//   ⨣!
        flagStart--;			//  䫠 砫 
        config->add(block);		// 塞 ᫥騩
        block->reset();			// ⪠  ᮢ
        continue;
      }
    }
  }
  block->reset();			// ⪠ ᮢ
  delete block;				// 塞  
  delete buf;				// 塞  䠩
  return rc;				// 頥  믮
}

//
// 뤥 ⮩ ப,   , ..
//  砫 ப   ᨬ '\n'  '\r', 祬
// 㪠 ᨬ   뤥 ப.
//
APIRET getStringNoComment(CHAR *&start,CHAR *&end,CHAR *buf)
{
  if(!buf||				// ᫨  
     start==buf) return 1;		//   
  end = start;				// 砫 !
  while(end!=buf&&			//    
        !strchr("\n\r",*end))		//    ப
    end++;				// 㥬 
  if(end==buf)				// ⨣  
    return 0;				//  ᫥ ப!
  //
  //  ய᪠ ᫥⥫쭮
  // '\n\r'  '\n'  '\r\n'  '\r'
  //
  if(*end=='\n') {			// '\n'
    end++;				// ய᪠
    if(*end=='\r') end++;		// '\r' ⮦ ய᪠
    return 0;
  }
  if(*end=='\r') {			// '\r'
    end++;				// ய᪠
    if(*end=='\n') end++;		// '\n' ⮦ ய᪠
    return 0;
  }
  return 1;				//  ⭠ 訡
}

#define cnFILE 0
#define cnAREA 1

//
// ନ஢ ப
//
void form(CHAR *ptr)
{
  if(!ptr||!*ptr) return;		//    ᮢᥬ
  strupr(ptr);				//  孨 ॣ
  CHAR *end = strchr(ptr,0);		//  ப
  while(end!=ptr&&			//   諨  砫
        strchr("\n\r",*end))		//     '\n' or '\r'
    *end--=0;				// १
}

//
// ⢥ 楤 ࠢ ⠭  ਨ  䠩
//  ᪠  䠩 䨣樨
//
BLOCK *scanString(CHAR *area,CHAR *file)
{
  if(!area||				// ᫨   
     !file) return NULL;		// -஢  , 室
  CONFIG *conf = config;		// 砫 ᯨ᪠ 
  while(conf) {				//   -
    if(conf->block&&			// ᫨  
       pmatch(conf->block->area,area)&&	// ᫨   
       pmatch(conf->block->mask,file))	// ᫨  䠩 
      return conf->block;		// 뢠!
    conf = conf->next;			// 
  }
  return NULL;				//   室騩 
}

inline void insertBuf(CHAR *text,CHAR *buf,CHAR add = 0)
{
  ULONG len = strlen(buf);
  if(add) len += 2;
  memmove(text,text+2,strlen(text+1));		// 嫮뢠 %x
  memmove(text+len,text,strlen(text)+1);// , ⠢ 
  if(!add)
    memmove(text,buf,strlen(buf));	// ⠢ 
  else {
    *text = add;			// 塞 
    memmove(text+1,buf,len-2);		// ⠢ 
    *(text+len-1) = add;		//   ⮦ 
  }
}

void procceedMacro(CHAR *&comm,		// 室 
                   CHAR *area,		//  
                   CHAR *file,		//  䠩
                   CHAR *comment)	// ਩
{
  CHAR *ptr = text, *tmp;			// ⮢   ࠡ
  strcpy(text,comm);				// 㥬 室 
  while((tmp = strstr(ptr,"%F"))!=NULL) {	//  a %F
    insertBuf(tmp,file);
  }
  while((tmp = strstr(ptr,"%A"))!=NULL) {	//   %A
    insertBuf(tmp,area);
  }
  while((tmp = strstr(ptr,"%C"))!=NULL) {	//   %C
// 27.09.1997 ࠧ⥫ ࠭  蠡, ..  ᮢ
// 짮⥫, 뫮:  insertBuf(tmp,comment,'\"');
    insertBuf(tmp,comment);
  }
  if(strlen(text)>strlen(comm)) {		// ᫨    >
    delete comm;				// 塞 室 
    comm = new CHAR[strlen(text)+1];		// 뤥塞  
  }
  strcpy(comm,text);				//   砥 㥬
}

//
// ⢥ 믮   
//
APIRET execute(BLOCK *bl,		// -  믮
               CHAR *file,		//   䠩
               CHAR *area,		//   
               CHAR *comment)		// ਩  䠩
{
  APIRET rc = 255;
  if(bl) {				// ᫨ - 
    // ८ࠧ ய⠭
    procceedMacro(bl->comm,area,file,comment);
    if(verbose)
      printf("Execute   : %s\n"
             "For file  : %s\n"
             "From area : %s\n"
             "Comment   : %s\n",bl->comm,file,area,comment);
    rc = system(bl->comm);		//  
  }
  else
    printf("Error of algorithm, access to the developer\n");
  return rc;
}

//
// ஢ 䠩  ᯨ᪮ 襤
// 䠩
//
APIRET procceedFile(const CHAR *fileName)
{
  APIRET rc;
  CHAR *buf, *start, *end;
  rc = getFile(fileName,buf);		// ⠥ 䠩 䨣樨
  if(rc) return rc;
  CHAR *endFile = strchr(buf,0);	//   䠩
  start = buf;
  USHORT cntLines = 0;			//  ப  
  BLOCK *blockMatch;			//  -
  CHAR *file = NULL, *area = NULL, *comment = NULL;
  while(getStringNoComment(start,end,endFile)==0) {	//   ப
    switch(cntLines) {			// ஢ઠ  ப
      case 1:				//   䠩
        #ifdef DEBUG_ON
          error("File is found:",start,end);
        #endif
        file = strupr(setNewBuf(start,	//   䠩
                                end-start));
       break;
      case 3:				//  ਩
        #ifdef DEBUG_ON
          error("Comment is found:",start,end);
        #endif
        comment = strupr(setNewBuf(start,	//  ਩
                                   end-start));
       break;
      case 4:				//   
        #ifdef DEBUG_ON
          error("Area is found:",start,end);
        #endif
        area = strupr(setNewBuf(start,	// ࠭塞  
                                end-start));
        form(area);
        form(file);
        form(comment);
        blockMatch = scanString(area,	// ࠢ  
                                file);
        if(blockMatch)			// ᫨  
          execute(blockMatch,		// 믮塞 
                  file,area,comment);
        delete area; area = NULL;	//  - !
        delete comment; comment = NULL;
        delete file; file = NULL;
       break;
    }
    start = end;
    cntLines++;				//  ப
    cntLines %= 7;			// - ப ⭮ 7
  }
  delete file;				//  ஢
  delete comment;
  delete area;
  delete buf;				// 塞  䠩
  return rc;
}

APIRET procceedArgs(USHORT cntPars, CHAR **pars)
{
  if(cntPars<3) {			//  ᪠
    printf(help,VERSION);
    return 255;
  }
  for(USHORT i=1;i<cntPars;i++) {
    CHAR *ptr = pars[i];
    if(strchr("-",*ptr)) {
      while(ptr&&*ptr) {
        if(strchr("-",*ptr)) ptr++;
        switch(*ptr) {
          case 'V':		// Verbose
          case 'v':
            verbose = 1;
            ptr++;
           break;
          case '?':
          case 'h':
          case 'H':
            printf(help,VERSION);
            return 255;
          default:
            printf("The key %s is unknown\n",ptr);
            printf(help,VERSION);
            return 255;
        }
      }
    }
    else {
      if(fileConf) fileName = ptr;
      else         fileConf = ptr;
    }
  }
  if(!fileConf||!fileName) {
    printf(help,VERSION);
    return 255;
  }
  if(access(fileConf,0)) {
    printf("The configuration file is not found: %s\n", fileConf);
    return 255;
  }
  if(access(fileName,0)) {
    printf("The datafile is not found: %s\n", fileName);
    return 255;
  }
  if(verbose) {
    printf("Configuration file: %s\n",fileConf);
    printf("Data file         : %s\n",fileName);
  }
  return 0;
}

APIRET main(USHORT cntPars, CHAR **pars)
{
  APIRET rc;
  rc = procceedArgs(cntPars,pars);	// ஢ઠ  ࠬ஢ ᪠
  if(rc) return rc;
  config = new CONFIG;			// ᮪ 
  text = new CHAR[4096];		//   뤥 ப
  rc = procceedConfig(fileConf);	// 뢠 䨣
  #ifdef DEBUG_ON
    config->print();
  #endif
  if(!rc)				// ᫨ 䨣  浪
    rc = procceedFile(fileName);	// 㥬 䠩 
  delete text;				// 塞 
  delete config;
  return rc;				// 頥  믮
}
